This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695420 - (CVE-2011-1574) CVE-2011-1574 libmodplug: ReadS3M stack overflow vulnerability
CVE-2011-1574 libmodplug: ReadS3M stack overflow vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20110407,reported=20110411,sou...
: Security
Depends On: 695421 695422 695455 696507
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-11 13:12 EDT by Vincent Danen
Modified: 2015-07-29 08:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-04-11 13:12:14 EDT
A stack-based buffer overflow vulnerability was discovered [1] in the way that that libmodplug handled S3M media files.  If an attacker were able to coerce a user into opening a malicious S3M media file with an application linked to libmodplug, it could be possible to execute arbitrary code with the privileges of the user running the application.

This has been corrected upstream [2] in 0.8.8.2

[1] https://www.sec-consult.com/files/20110407-0_libmodplug_stackoverflow.txt
[2] http://modplug-xmms.git.sourceforge.net/git/gitweb.cgi?p=modplug-xmms/modplug-xmms;a=commitdiff;h=aecef259828a89bb00c2e6f78e89de7363b2237b
Comment 1 Vincent Danen 2011-04-11 13:13:20 EDT
Created libmodplug tracking bugs for this issue

Affects: fedora-all [bug 695421]
Affects: epel-all [bug 695422]
Comment 2 Vincent Danen 2011-04-11 15:13:46 EDT
This also affects gstreamer-plugins on Red Hat Enterprise Linux 4 and schismtracker in Fedora (they have embedded modplug).
Comment 3 Vincent Danen 2011-04-11 15:14:16 EDT
Created schismtracker tracking bugs for this issue

Affects: fedora-all [bug 695455]
Comment 5 Vincent Danen 2011-04-11 17:34:33 EDT
This was assigned the name CVE-2011-1574.
Comment 6 Ville Skyttä 2011-04-11 17:51:37 EDT
(In reply to comment #2)
> This also affects gstreamer-plugins on Red Hat Enterprise Linux 4 and
> schismtracker in Fedora (they have embedded modplug).

schismtracker in F-15+ doesn't seem to contain the embedded libmodplug any longer.  I haven't tried to check if their new implementation would be affected by the same issue though.
Comment 7 Vincent Danen 2011-04-11 23:02:52 EDT
I've poked around and it doesn't look like schismtracker in F15 has any similar issues (at least not that I can spot).  It does look like it can handle s3m files still, but doesn't use modplug and hasn't really copied the code that I can see (at least not the affected code).  So this would just be relevant for F13 and F14 from what I can see.
Comment 11 Ville Skyttä 2011-04-26 16:45:30 EDT
The EPEL-5 and EPEL-6 updates have sat in testing for 14 days, without any feedback.  I don't have a system to test them with myself; perhaps someone receiving these mails could help?
Comment 12 errata-xmlrpc 2011-05-02 14:28:10 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0477 https://rhn.redhat.com/errata/RHSA-2011-0477.html

Note You need to log in before you can comment on or make changes to this bug.